// Ищет в каталоге /var/data файл с самым коротким названием и перекладывает
// его в /var/result/data.txt.

Console.WriteLine("Start first service");
var files = Directory.GetFiles("/var/data/");

if(files == null || files.Length == 0)
{
    File.Create("./var/data/data.txt");
}

string res = files[0];

files.ToList().ForEach(f =>
{
    if(res.Length > f.Length)
    {
        res = f;
    }
});

Console.WriteLine("Find file " + res);

if(!Directory.Exists("/var/result"))
{
    Directory.CreateDirectory("/var/result");
}

File.Copy(res, "/var/result/data.txt");

Console.WriteLine("Copy to /var/result/data.txt");

